Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Can't enable TLS 1.3

  • 2 replies
  • 6 have this problem
  • 307 views
  • Last reply by cor-el

more options

I have downloaded both the Nightly and Firefox Dev Edition but non of them can enable TLS 1.3

I have use "about:config" to config the tls max version to "4" (which should be TLS1.3 supported) but nothing happens. I try the https://nghttp2.org:13443/ (which is TLS1.3 supported if I connect it by openssl directly).

All Replies (2)

more options

After you set

security.tls.version.max = 4

does TLS 1.3 show as supported on this page:

https://www.ssllabs.com/ssltest/viewMyClient.html

more options

Note that TLS 1.3 has been disabled in the last few releases:

Bug 1342082 - Disable TLS 1.3 for FF52 Release Bug 1355144 - Disable TLS 1.3 for Firefox 53 release Bug 1368599 - Disable TLS 1.3 by default for FF 54